Debian Bug report logs - #563624
GDM's default timeout is too fast for NVIDIA's GLX module to be loaded

version graph

Package: nvidia-glx; Maintainer for nvidia-glx is Debian NVIDIA Maintainers <pkg-nvidia-devel@lists.alioth.debian.org>; Source for nvidia-glx is src:nvidia-graphics-drivers.

Reported by: woolsherpahat <woolsherpahat@gmail.com>

Date: Mon, 4 Jan 2010 06:27:02 UTC

Severity: normal

Tags: squeeze, wontfix

Merged with 521699, 523569, 533163, 568969

Found in versions nvidia-graphics-drivers/173.14.09-5, nvidia-graphics-drivers/185.18.14-1, nvidia-graphics-drivers/190.53-1, nvidia-graphics-drivers/195.36.24-1

Done: Andreas Beckmann <debian@abeckmann.de>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>:
Bug#563624; Package gdm. (Mon, 04 Jan 2010 06:27:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to woolsherpahat <woolsherpahat@gmail.com>:
New Bug report received and forwarded. Copy sent to Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>. (Mon, 04 Jan 2010 06:27:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: woolsherpahat <woolsherpahat@gmail.com>
To: submit@bugs.debian.org
Subject: GDM's default timeout is to fast for nvidia's GLX module to be loaded
Date: Sun, 3 Jan 2010 22:22:28 -0800
Package: gdm
Version: 2.20.10-1
Severity: Minor

GDM's GdmXserverTimeout is set to 10 seconds by default in
/usr/share/gdm/defaults.conf. This leads to the following behavior on
my machine. If I log out of Gnome or restart GDM manually from the
command line by invoking '/etc/init.d/gdm restart' Xorg fails silently
without an subsequent error recorded in Xorg.0.log. I believe this is
caused by GDM's timeout being less than the time necessary for Xorg to
load Nvidia's GLX module/s.

Changing GdmXserverTimeout to 20 seconds appears to stop this
behavior. Is it possible to change the default timeout to something
like 25 seconds?

I'm using a Thinkpad T61 with a Nvidia Quadro NVS 140M graphics card,
xorg 1:7.4+4 and the 2.6.30-2-amd64 kernel. This behavior is
repeatable with both the 190.42-3 nvidia non-free drivers included in
sid and the 195.22 beta drivers available from nvidia directly.



---------------
kce@thinkpad:~$ dpkg --status gdm
Package: gdm
Status: install ok installed
Priority: optional
Section: gnome
Installed-Size: 15207
Maintainer: Debian GNOME Maintainers
<pkg-gnome-maintainers@lists.alioth.debian.org>
Architecture: amd64
Version: 2.20.10-1
Provides: x-display-manager
Depends: libart-2.0-2 (>= 2.3.18), libatk1.0-0 (>= 1.20.0), libattr1
(>= 2.4.41-1), libaudit0, libc6 (>= 2.3), libcairo2 (>= 1.2.4),
libdbus-1-3 (>= 1.0.2), libdbus-glib-1-2 (>= 0.78), libdmx1,
libfontconfig1 (>= 2.4.0), libfreetype6 (>= 2.2.1), libglade2-0 (>=
1:2.6.1), libglib2.0-0 (>= 2.16.0), libgnomecanvas2-0 (>= 2.11.1),
libgtk2.0-0 (>= 2.18.0), libpam0g (>= 0.99.7.1), libpango1.0-0 (>=
1.14.0), librsvg2-2 (>= 2.26.0), libselinux1 (>= 1.32), libwrap0 (>=
7.6-4~), libx11-6, libxau6, libxdmcp6, libxext6, libxi6, libxinerama1,
libxml2 (>= 2.7.4), debconf (>= 0.5) | debconf-2.0, adduser,
libpam-modules (>= 0.72-1), libpam-runtime (>= 0.76-13.1),
gnome-session | x-session-manager | x-window-manager |
x-terminal-emulator, gksu (>= 1.0.7), lsb-base (>= 3.2-14),
librsvg2-common
Recommends: whiptail | dialog, zenity, gdm-themes, xserver-xephyr |
xnest, xserver-xorg
Suggests: locales, pm-utils, libpam-gnome-keyring
Conflicts: fast-user-switch-applet (<< 2.17.4), gnome-panel (<<
2.19.2), gnome-screensaver (<< 2.17.7), gnome-session (<< 2.19.2)
Conffiles:
 /etc/gdm/Init/Default 7ccbd175154c6ff73fbe4eff9711cc34
 /etc/gdm/gdm.conf 5a344c36d142cad2a109e1892b5354bd
 /etc/gdm/XKeepsCrashing 707f1348da2ccd30f330cb0301adac54
 /etc/gdm/PostLogin/Default.sample 2c3d901312c1bc31997ba6ba53b5f18a
 /etc/gdm/PreSession/Default a1a563082a9fa5ad2510b04dcc94f355
 /etc/gdm/Xsession 25a9db180a5c9e0035a74789ef2073da
 /etc/gdm/locale.conf 3a304ecef65088df6457a8443b2acee7
 /etc/gdm/modules/AccessKeyMouseEvents 4bdb261d7e6ff1c5a9c109b4699ef5bd
 /etc/gdm/modules/factory-AccessDwellMouseEvents
b728f3702edc65820cba9a21ea238166
 /etc/gdm/modules/AccessDwellMouseEvents b728f3702edc65820cba9a21ea238166
 /etc/gdm/modules/factory-AccessKeyMouseEvents 4bdb261d7e6ff1c5a9c109b4699ef5bd
 /etc/gdm/PostSession/Default 15896cc5b1a4334b157a287a775680e7
 /etc/pam.d/gdm af1bca30e47a53b61bf478b46a36913c
 /etc/pam.d/gdm-autologin b60183dee52f58dbe93973d1958817e4
 /etc/init.d/gdm d655d8b37df0ab732a5c3aaad845fd98


Thank you.




Information forwarded to debian-bugs-dist@lists.debian.org, Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>:
Bug#563624; Package gdm. (Mon, 04 Jan 2010 06:48:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to woolsherpahat <woolsherpahat@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>. (Mon, 04 Jan 2010 06:48:05 GMT) Full text and rfc822 format available.

Message #10 received at 563624@bugs.debian.org (full text, mbox):

From: woolsherpahat <woolsherpahat@gmail.com>
To: 563624@bugs.debian.org
Subject: Possibly related to behavior reported under #521699
Date: Sun, 3 Jan 2010 22:40:29 -0800
Sorry, I neglected to mention that I think this could be related to
some behavior reported under Bug #521699. Please see messages #20, #25
and #30 within that bug report.




Bug reassigned from package 'gdm' to 'nvidia-glx'. Request was from Josselin Mouette <joss@debian.org> to control@bugs.debian.org. (Mon, 04 Jan 2010 11:18:03 GMT) Full text and rfc822 format available.

Bug No longer marked as found in versions gdm/2.20.10-1. Request was from Josselin Mouette <joss@debian.org> to control@bugs.debian.org. (Mon, 04 Jan 2010 11:18:04 GMT) Full text and rfc822 format available.

Forcibly Merged 521699 523569 563624 568969. Request was from Andreas Beckmann <debian@abeckmann.de> to control@bugs.debian.org. (Wed, 12 May 2010 13:00:07 GMT) Full text and rfc822 format available.

Bug Marked as found in versions nvidia-graphics-drivers/190.53-1. Request was from Andreas Beckmann <debian@abeckmann.de> to control@bugs.debian.org. (Wed, 12 May 2010 13:00:09 GMT) Full text and rfc822 format available.

Bug Marked as found in versions nvidia-graphics-drivers/195.36.24-1. Request was from Andreas Beckmann <debian@abeckmann.de> to control@bugs.debian.org. (Wed, 12 May 2010 13:00:11 GMT) Full text and rfc822 format available.

Changed Bug title to 'GDM's default timeout is too fast for NVIDIA's GLX module to be loaded' from 'GDM's default timeout is to fast for nvidia's GLX module to be loaded' Request was from Andreas Beckmann <debian@abeckmann.de> to control@bugs.debian.org. (Wed, 12 May 2010 13:15:06 GMT) Full text and rfc822 format available.

Merged 521699 523569 533163 563624 568969. Request was from Andreas Beckmann <debian@abeckmann.de> to control@bugs.debian.org. (Sat, 15 May 2010 16:33:06 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian NVIDIA Maintainers <pkg-nvidia-devel@lists.alioth.debian.org>:
Bug#563624; Package nvidia-glx. (Mon, 17 May 2010 14:57:14 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andreas Beckmann <debian@abeckmann.de>:
Extra info received and forwarded to list. Copy sent to Debian NVIDIA Maintainers <pkg-nvidia-devel@lists.alioth.debian.org>. (Mon, 17 May 2010 14:57:14 GMT) Full text and rfc822 format available.

Message #29 received at 563624@bugs.debian.org (full text, mbox):

From: Andreas Beckmann <debian@abeckmann.de>
To: 521699@bugs.debian.org
Cc: 533163@bugs.debian.org, 523569@bugs.debian.org, 563624@bugs.debian.org, 568969@bugs.debian.org
Subject: Re: timeout problem no longer present after switching from gdm to gdm3
Date: Mon, 17 May 2010 16:53:00 +0200
On Wednesday, 12. May 2010 14:58:04 Andreas Beckmann wrote:
> I just verified that the problem still exists with the 195.36.24-1 driver.

I just tested gdm3 (2.30.2-3 from unstable) instead of gdm and the timeout 
problem was no longer reproducible.


Andreas




Added tag(s) squeeze and wontfix. Request was from Andreas Beckmann <debian@abeckmann.de> to control@bugs.debian.org. (Fri, 15 Apr 2011 15:48:07 GMT) Full text and rfc822 format available.

Severity set to 'normal' from 'important' Request was from Andreas Beckmann <debian@abeckmann.de> to control@bugs.debian.org. (Mon, 01 Aug 2011 22:27:08 GMT) Full text and rfc822 format available.

Message #34 received at 521699-done@bugs.debian.org (full text, mbox):

From: Andreas Beckmann <debian@abeckmann.de>
To: 521699-done@bugs.debian.org
Subject: Re: GDM's default timeout is too fast for NVIDIA's GLX module to be loaded
Date: Tue, 17 Jul 2012 19:47:25 +0200
I'm closing this report and its duplicates now:
* gdm has been superseded by gdm3 and won't be in wheezy
* for squeeze, this bug has been documented


Andreas



Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Wed, 15 Aug 2012 07:26:43 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 18:57:06 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.